Package com.sun.jna.platform.win32.COM

## Class COMUtils.COMInfo

- java.lang.Object
- - com.sun.jna.platform.win32.COM.COMUtils.COMInfo

Enclosing class:
  COMUtils

    public static class COMUtils.COMInfo
    extends java.lang.Object

The Class COMInfo.

Author:
  wolf.tobias@gmx.net The Class COMInfo.

### Field Summary

Fields
`java.lang.String` `clsid` The clsid.
`java.lang.String` `inprocHandler32` The inproc handler32.
`java.lang.String` `inprocServer32` The inproc server32.
`java.lang.String` `localServer32` The local server32.
`java.lang.String` `progID` The prog id.
`java.lang.String` `typeLib` The type lib.

### Constructor Summary

Constructors
`COMInfo()` Instantiates a new cOM info.
`COMInfo​(java.lang.String clsid)` Instantiates a new cOM info.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clsid

    public java.lang.String clsid

The clsid.

#### inprocHandler32

    public java.lang.String inprocHandler32

The inproc handler32.

#### inprocServer32

    public java.lang.String inprocServer32

The inproc server32.

#### localServer32

    public java.lang.String localServer32

The local server32.

#### progID

    public java.lang.String progID

The prog id.

#### typeLib

    public java.lang.String typeLib

The type lib.

### Constructor Detail

#### COMInfo

    public COMInfo()

Instantiates a new cOM info.

#### COMInfo

    public COMInfo​(java.lang.String clsid)

Instantiates a new cOM info.

Parameters:
  `clsid` - the clsid